<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>:'D</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
</head>
<body>
<table border="1" style="width:50%">
    <tr>
        <th>#</th>
        <th>Category</th>
        <th>Joke</th>
        <th>Likes</th>
        <th>Dislikes</th>
        <th> Score</th>
        <th>:)</th>
        <th>>:(</th>
    </tr>
    <tr th:each="joke : ${jokePage}" th:height="wrap-content">
        <td
            th:text=${jokePage.getNumber()*jokePage.getSize()+jokePage.getContent().indexOf(joke)+1}>Index
        </td>
        <td
                th:text="${joke.getCategory().getName()}">Category
        </td>
        <td
            th:text="${joke.getContent()}" th:style="'white-space:pre'">Joke
        </td>
        <td
            th:text="${joke.getLikes()}" th:align="center">Likes
        </td>
        <td
            th:text="${joke.getDislikes()}" th:align="center">Dislikes
        </td>
        <td
            th:text="${joke.getLikes() - joke.getDislikes()}" th:align="center">Score
        </td>
        <td th:rowspan="1">
            <form th:action="@{/like(joke_id=${joke.getId()},page_number=${jokePage.getNumber()})}" th:method="post">
                <button name="like" type="submit">Like</button>
        </form>
        </td>
        <td th:rowspan="1">
            <form th:action="@{/dislike(joke_id=${joke.getId()})}" th:method="post">
                <button name="dislike" type="submit">Dislike</button>
            </form>
        </td>
    </tr>
</table>
<div th:if="${jokePage.totalPages > 0}" th:class="pagination" th:style="'display: inline-block'"
     th:each="pageNumber : ${pageNumbers}">
    <a th:href="@{/(size=${jokePage.size}, page=${pageNumber})}"
       th:text="${pageNumber}"
       th:class="${pageNumber==jokePage.number + 1} ? active"></a>
</div>
<div>
    <a th:href="@{/new}">
        <button name="button"> Submit new Joke</button>
    </a>
</div>
</body>
</html>